# Počítadlo
# s vlastnostmi value a text.

class Counter:
    def __init__(self):
        self.value = 0
        
    def get_value(self):
        return self.value
    
    def set_value(self, value):
        if type(value) != int:
            raise TypeError("value of a counter should be an integer")
        self.value = value
        return self

    def inc(self):
        value = self.get_value()
        self.set_value(value + 1)
        return self

    def get_text(self):
        return str(self.get_value())

    def set_text(self, text):
        return self.set_value(int(text))


"""
>>> counter = Counter()
>>> counter.get_value()
0
>>> counter.inc()
<__main__.Counter object at 0x10212b290>
>>> counter.get_text()
'1'
>>> counter.set_text("5")
<__main__.Counter object at 0x10f07f440>
>>> counter.get_value()
5
"""
